﻿using Acr.UserDialogs;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Windows.Input;
using Xamarin.Forms;

namespace App15
{
    public class MyViewModel:INotifyPropertyChanged
    {
        private ObservableCollection<CrossingUIModel> bindCrossingUIModel;

        public ObservableCollection<CrossingUIModel> BindCrossingUIModel
        {
            get { return bindCrossingUIModel; }
            set
            {
                bindCrossingUIModel = value;
                OnPropertyChanged(nameof(BindCrossingUIModel));
            }
        }
        public ICommand ChangeColorCommand { protected set; get; }
        public MyViewModel()
        {
            CreateUI();

            ChangeColorCommand = new Command<CrossingUIModel>(async (key) => {
                CrossingUIModel bill = (CrossingUIModel)key;
                // await Navigation.PushAsync(new Page2(bill));
                bill.MyColor = Xamarin.Forms.Color.Red;

            });
        }
        public void CreateUI()
        {
            UserDialogs.Instance.ShowLoading();

            BindCrossingUIModel = new ObservableCollection<CrossingUIModel>();

            for (int i = 1; i < 21; i++)
            {
                CrossingUIModel model = new CrossingUIModel();
                model.Id = i;
                model.MyColor = Xamarin.Forms.Color.White;
                BindCrossingUIModel.Add(model);
            }

            UserDialogs.Instance.HideLoading();

        }
        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
